Package com.avaya.clientservices.media.gui

## Class PipPlane

- java.lang.Object
- - com.avaya.clientservices.media.gui.Plane
  - - com.avaya.clientservices.media.gui.PipPlane

- All Implemented Interfaces:
    `Positionable`, `Renderable`, `Touchable`
  Direct Known Subclasses:
    `VideoPlaneLocal`

      public abstract class PipPlane
      extends Plane

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `PipPlane.Corner` | Enum of the four corners of which the picture-in-picture can be located.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PipPlane()` | Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `PipPlane.Corner` | `getPipCorner()` | Gets the picture-in-picture corner.
    `void` | `setPipCorner​(PipPlane.Corner pipCorner)` | Sets the picture-in-picture corner.
    `void` | `setPipInsetBottom​(int pipInsetBottom)` |
    `void` | `setPipInsetTop​(int pipInsetTop)` |

    - ### Methods inherited from class com.avaya.clientservices.media.gui.Plane

      `containsPoint, setBounds, setPosition, setRenderer, setVisibility, time`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.avaya.clientservices.media.gui.Renderable

      `onDrawFrame, onSurfaceChanged, onSurfaceCreated`

    - ### Methods inherited from interface com.avaya.clientservices.media.gui.Touchable

      `onTouchEvent`

- - ### Constructor Detail

    - #### PipPlane

          public PipPlane()

      Constructor

  - ### Method Detail

    - #### getPipCorner

          public PipPlane.Corner getPipCorner()

      Gets the picture-in-picture corner.
      Returns:
        The corner of the pip

    - #### setPipCorner

          public void setPipCorner​(PipPlane.Corner pipCorner)

      Sets the picture-in-picture corner.
      Parameters:
        `pipCorner` - The corner of the pip

    - #### setPipInsetTop

          public void setPipInsetTop​(int pipInsetTop)

    - #### setPipInsetBottom

          public void setPipInsetBottom​(int pipInsetBottom)